Bug 128926 - PPS files will not play with OpenGL in Impress 6.2.8 (on some systems)
Summary: PPS files will not play with OpenGL in Impress 6.2.8 (on some systems)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:ppt
Depends on:
Blocks:
 
Reported: 2019-11-20 20:20 UTC by edwardstavin
Modified: 2020-07-01 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
The file mentioned in the description (6.64 MB, application/vnd.ms-powerpoint)
2019-11-20 20:53 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description edwardstavin 2019-11-20 20:20:55 UTC
Description:
click on PPS (powerpoint show file) to open.  Impress starts and loads first slide than hangs on first slide.  Only way to proceed from there is to abort the program as no keys or mouse buttons respond.  Windows 10 64 bit OS does eventually say the program is hung and offers to report it to Microsoft.

Steps to Reproduce:
1.get a PPS file
2.open it
3.try to leave the first slide without hanging or crashing.

Actual Results:
impossible to leave first slide.  after clicking enough keys windows 10 will intercept and say program is not responding and offer to abort or wait.

Expected Results:
I expect to be able to switch from slide to slide by hitting enter or clicking mouse until the presentation is over. or even using the right arrow key.  Then when on the last slide I expect it to exit.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Here is a sample of the PPS files that fail to play. https://filebin.ca/52beg4RjenTn/Photos_incroyables-11.pps
Comment 1 edwardstavin 2019-11-20 20:31:13 UTC
Windows 10 64 bit 1909
Comment 2 edwardstavin 2019-11-20 20:32:40 UTC
Intel I3-9100 cpu.  Latest available drivers all applied. Latest BIOS applied.
Comment 3 edwardstavin 2019-11-20 20:47:17 UTC Comment hidden (me-too)
Comment 4 edwardstavin 2019-11-20 20:48:10 UTC
OpenGL 4.6.0
Comment 5 Mike Kaganski 2019-11-20 20:53:58 UTC
Created attachment 155985 [details]
The file mentioned in the description

Cannot repro with Version: 6.3.3.2 (x64)
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

Windows 10 1903

AMD Radeon HD 7400 Series

Attached the file directly, to not depend on third-party file hosting.
Comment 6 Xavier Van Wijmeersch 2019-11-21 09:56:17 UTC
With LOv6.5 alpha i have a crash after the second slide
Its opens the file and hangs then when pressing the space bar tree time's its crash
but give no crash report recovering is working

Version: 6.5.0.0.alpha0+
Build ID: 5b20135a942328bfe5160ba2efa43b1ea9f0239c
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Roman Kuznetsov 2019-11-22 14:55:46 UTC
no problem in

Версия: 6.4.0.0.alpha1+ (x64)
ID сборки: 25506d15222e583ce5d62b016cf598a9aef65d09
Потоков ЦП: 4; ОС:Windows 10.0 Build 18362; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded

I have Intel HD 4000 and Win 10 1903

Edward, please try disable OpenGL in Options dialog (Tools->Options->LibreOffice->View) and then try retest the problem
Comment 8 edwardstavin 2019-11-23 19:04:21 UTC
Further information.  This was a brand new PC and I downloaded Libreoffice 6.2.8 and ran it with the default options it installs... this resulted in the crash I described.

I recall I fiddled with safe mode and it ran ONLY ONCE (I tested moving down about 4 slides then exited as I was giddy with excitement) and crashed on all further attempts to make it run in safe mode.  This would be after exiting safe mode and restarting safe mode. 

I then downloaded Libreoffice 6.3.3 and updated the PC.  Testing with 6.3.3 I found that this does not play with OpenGL turned on.  However this file does play with openGL turned off.

As this particular PC has been delivered to the client I can no longer test on it with 6.2.8 for you.

However I do have an interim summary of my findings and that is it may be this particular file is unique in some way I dont understand.  It has problems playing with OpenGL turned on.  Other PPS files I have sourced since then for comparision all played on this computer with OpenGL turned ON on 6.3.3.

Thus I find it difficult to conclude if this is an issue unique to the file I was asked to trouble shoot and provided to you or if this is an issue related to the application and the OS.  Perhaps you know how to parse this better.
Comment 9 QA Administrators 2019-11-24 03:37:36 UTC Comment hidden (obsolete)
Comment 10 Timur 2019-12-02 09:10:38 UTC
I don't reproduce crash in Windows 8.1 with or without OpenGL. But I see flickering on slide change. Test with manual slide advance.
Edward, please confirm you don't see crash with your current systems (so we cannot count on you to reproduce).
Xavier, you say you reproduced, please set New then. And confirm crash is only with OpenGL. And please write and update your video drivers.
Comment 11 QA Administrators 2020-05-31 03:45:20 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2020-07-01 03:42:22 UTC
Dear edwardstavin,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp